Subject: Re: bug#47024: 28.0.50; [feature/native-comp] Warnings from async compilations truncated

From: Andrea Corallo <[email-masked]>
Date: Wed, 10 Mar 2021 13:12:59 +0000

Eli Zaretskii <[email-masked]> writes:

>> From: Andrea Corallo <[email-masked]>
>> Cc: [email-masked]
>> Date: Wed, 10 Mar 2021 06:50:15 +0000
>> 
>> > The message comes from a sub-process, right?
>> 
>> Yes
>> 
>> > Could it be that we
>> > match prematurely, when only part of the text was received?
>> 
>> That's possible, just before using the regexp we call
>> `accept-process-output' on the process, I thought this was sufficient to
>> handle the case but I'm no expert into this area.
>
> I think I see the problem: it's nothing as complicated as that.
>
> Here's what the original warning looks like:
>
>  seq.el:396:16: Warning: `seq-contains' is an obsolete generic function (as of
>      27.1); use `seq-contains-p' instead.
>
> There's an actual newline at the end of the first line, because by
> default we _fill_ the text.
>
> So I think the solution should be to bind (in the sub-process which
> performs the actual compilation) warning-fill-column to a large
> number.

Nice, is 256 a reasonable number?

> Is there a similar issue with error messages?

Yes, we suffer from the same issue if the Error is emitted with new
lines.

Thanks

  Andrea